import { GetQuizDataResponse } from '../model/api/getQuizData';
import { AxiosError } from 'axios';
import { QuizSettings } from '../model/settingsData';

type PublicationMakeRequestParams = {
    url: string;
    body: FormData;
    method: "POST";
};
export declare const publicationMakeRequest: ({ url, body }: PublicationMakeRequestParams) => Promise<import('axios').AxiosResponse<any, any>>;
export declare function getData(quizId: string): Promise<{
    data: GetQuizDataResponse | null;
    isRecentlyCompleted: boolean;
    error?: AxiosError;
}>;
export declare function getQuizData(quizId: string): Promise<QuizSettings>;
type SendAnswerProps = {
    questionId: string;
    body: string | string[];
    qid: string;
    preview?: boolean;
};
export declare function sendAnswer({ questionId, body, qid, preview }: SendAnswerProps): Promise<import('axios').AxiosResponse<any, any>> | undefined;
type SendFileParams = {
    questionId: string;
    body: {
        name: string;
        file: File;
        preview: boolean;
    };
    qid: string;
};
export declare function sendFile({ questionId, body, qid }: SendFileParams): Promise<import('axios').AxiosResponse<any, any>> | undefined;
export type SendFCParams = {
    questionId: string;
    body: {
        name?: string;
        email?: string;
        phone?: string;
        address?: string;
        customs?: Record<string, string>;
    };
    qid: string;
    preview: boolean;
};
export declare function sendFC({ questionId, body, qid, preview }: SendFCParams): Promise<import('axios').AxiosResponse<any, any>> | undefined;
export type SendResultParams = {
    questionId: string;
    pointsSum: number;
    qid: string;
    preview: boolean;
};
export declare function sendResult({ questionId, pointsSum, qid, preview }: SendResultParams): Promise<import('axios').AxiosResponse<any, any>> | undefined;
export {};
