import { QuestionVariant } from '../model/questionTypes/shared';
import { QuizStep } from '../model/settingsData';
import { Moment } from 'moment';

export type Answer = string | string[] | Moment;
export type QuestionAnswer = {
    questionId: string;
    answer: Answer;
};
export type OwnVariant = {
    id: string;
    variant: QuestionVariant;
};
interface QuizViewStore {
    answers: QuestionAnswer[];
    ownVariants: OwnVariant[];
    pointsSum: number;
    points: Record<string, number>;
    currentQuizStep: QuizStep;
}
interface QuizViewActions {
    updateAnswer: (questionId: string, answer: string | string[] | Moment, points: number) => void;
    deleteAnswer: (questionId: string) => void;
    updateOwnVariant: (id: string, answer: string) => void;
    deleteOwnVariant: (id: string) => void;
    setCurrentQuizStep: (step: QuizStep) => void;
}
export declare const QuizViewContext: import('react').Context<(Omit<Omit<import('zustand').StoreApi<QuizViewStore & QuizViewActions>, "setState"> & {
    setState(nextStateOrUpdater: (QuizViewStore & QuizViewActions) | Partial<QuizViewStore & QuizViewActions> | ((state: import('immer').WritableDraft<QuizViewStore & QuizViewActions>) => void), shouldReplace?: boolean | undefined): void;
}, "setState"> & {
    setState<A extends string | {
        type: string;
    }>(nextStateOrUpdater: (QuizViewStore & QuizViewActions) | Partial<QuizViewStore & QuizViewActions> | ((state: import('immer').WritableDraft<QuizViewStore & QuizViewActions>) => void), shouldReplace?: boolean | undefined, action?: A | undefined): void;
}) | null>;
export declare function useQuizViewStore<U>(selector: (state: QuizViewStore & QuizViewActions) => U): U;
export declare const createQuizViewStore: () => Omit<Omit<import('zustand').StoreApi<QuizViewStore & QuizViewActions>, "setState"> & {
    setState(nextStateOrUpdater: (QuizViewStore & QuizViewActions) | Partial<QuizViewStore & QuizViewActions> | ((state: import('immer').WritableDraft<QuizViewStore & QuizViewActions>) => void), shouldReplace?: boolean | undefined): void;
}, "setState"> & {
    setState<A extends string | {
        type: string;
    }>(nextStateOrUpdater: (QuizViewStore & QuizViewActions) | Partial<QuizViewStore & QuizViewActions> | ((state: import('immer').WritableDraft<QuizViewStore & QuizViewActions>) => void), shouldReplace?: boolean | undefined, action?: A | undefined): void;
};
export {};
